Bug 1010842 - External bugs data is not typed correctly in RPC calls
External bugs data is not typed correctly in RPC calls
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 03:47 EDT by rhev-integ
Modified: 2014-10-12 18:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.4.1010
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 18:32:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rhev-integ 2013-09-23 03:47:21 EDT
Description of problem:
When getting bug information with Bug.get, the values for the external bugs ids are returned as integers instead of strings, thus loosing any padding 0's that they had in the database (for example salesforce external ids)

Version-Release number of selected component (if applicable):
4.4

How reproducible:
Do a Bug.get of any bug with an external bug that has an id with padding 0's (like bug 1006659)

Steps to Reproduce:
1.Execute Bug.get of bug 1006659
2.
3.

Actual results:
You get in the data:
     'ext_bz_bug_id': 945592,


Expected results:
You get in the data:
     'ext_bz_bug_id': '00945592',


Additional info:
Comment 1 Jason McDonald 2013-09-23 19:09:01 EDT
This should be a fairly simple change to the code. We should be careful to give advance warning of this change to anyone who has scripts that care about this field.
Comment 4 Simon Green 2013-11-03 18:32:54 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.